Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: [email-masked] (Vincent Belaïche)
Date: Mon, 01 Feb 2016 10:18:06 +0100

Thank you for the comment. I did the diff and my changes were ok. Anyway
nobody else than me had changed ses.el, so the merge was rather that
many other files were affected. Indeed I was just surprised by the very
large amout of files affected in a so short lapse of time.

   Vincent.

Le 20/01/2016 16:30, Nicolas Richard a écrit :
>> automatic commit there is an incredible number of files affected. I
>> don't know why that happened so... I hope I did not make anything too
>> hard to revert if need be.
>
> IIUC you're talking about the merge commit you created, namely
> b895c72059521fec064ff27b4cfcfa4104081c4e.
>
> What you did is that you were on your local branch, with your SES
> changes, then you git pull'd from savannah/master which created a merge
> commit (and then pushed the result). When creating a merge commit, emacs
> uses current commit as first parent, and the second parent is the commit
> at the tip of the other branch (in your case savannah/master).
>
> Now the trick is that "git diff" will show the diff wrt the *first*
> parent. In this case, git diff thus shows a diff between the merged
> state and the first parent, which is your own commit. IOW, it doesn't
> show what you changed, but everything that was changed by all other
> people. This is why there are many changes and you don't recognize them.
>
> If you want to check that you merged correctly, do this:
>     "git diff b895c720^2 b895c720"
> or equivalently (at least with bash) :
>     git diff b895c720{^2,}
> The "^2" part means "take second parent of given commit".
>
> HTH,
>